Skip to main content
`Ctrl`+`K`

# PetscDSSetType

Builds a particular `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetType(PetscDS prob, PetscDSType name)

Collective; No Fortran Support

## Input Parameters

- prob - The `PetscDS` object

- name - The `PetscDSType`

## Options Database Key

- -petscds_type <type> - Sets the PetscDS type; use -help for a list of available types

## See Also

`PetscDSType`, `PetscDS`, `PetscDSGetType()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages